#ifndef VERSIONCONTAINER_H
#define VERSIONCONTAINER_H

#include <QObject>
#include "connectorToServer/streamingversiondata.h"

class VersionContainer : public QObject
{
    Q_OBJECT
public:
    explicit VersionContainer(QObject *parent = nullptr);
    ~VersionContainer();

    QString getServerVersion() const;
    QString getLocalVersion() const;


    StreamingVersionData *getLocalVersionData() const;
    void setLocalVersionData(StreamingVersionData *value);

    StreamingVersionData *getServerVersionData() const;
    void setServerVersionData(StreamingVersionData *value);

private:
    StreamingVersionData *localVersionData;
    StreamingVersionData *serverVersionData;

};

#endif // VERSIONCONTAINER_H
